// ＡＩＧライブラリ　基本関数：データ比較関数
//	Copyright (C) 1989-1994,97,99,2000,2002 by AIG-SOFT

#ifndef	__AIG_CMP__
#define	__AIG_CMP__	1	/* ヘッダー読み込みシンボル */

#include <doslibm.h>
#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif

#ifdef	__PROTO_TYPE
	int	is24(int);
	int	ishandaku(unint);
	int	check_kanji1(int);
	int	check_moji(int,int,int);
	int	check_98(int );
	int	check_date(int,int,int);
	int	check_time(int,int,int);
	int	cmp_time(unint,unint);
	int	cmp_date(unint,unint);
	int	fup_cp(int,unchar *);
	int	cfex_cp(int,int,unchar **,unchar *);
	int	FileDateTimeCmp(int ,int );
	int	fcpwild(unchar *,unchar *);
	int	fcpwildDOS(unchar *,unchar *);
	int	jcpwild(unchar *,unchar *);
	int	jcpwildn(unchar *,unchar *,int,int);
	int	cpwild(unchar *,unchar *);
	int	check_wild(const unchar *);
	int	wild_only(const unchar *);
	int	kstrchar(const unchar *,unint);
	int	kstrchar2(const unchar *,const unchar *);
	int	kmemchar(unchar *,int ,unint );
	int	extcmpi(unchar *,unchar *);
	int	spstrcmp(unchar *,unchar *);
	int	jstrnumcmp(unchar *,unchar *,unsint );
	int	jstrnumcmp2(unchar *,unchar *,unsint ,int *);
	int	cmp_datetime2(_FILBUF *,int);
	int	_fn8cmp(unchar *,unchar *,int);
	int	fn8cmp(unchar *,unchar *);
	int	fn8cmpi(unchar *,unchar *);
	int	(*TwentyCMP())(int);
	int	BMsrch(unchar *,unchar *,unchar *(*));
	int	_bm_comp(unchar *);
	int	_bm_exec(unchar *,unchar *);
	int	InitGrep(unchar *,unsint *,int );
	int	Grep(unchar *,unchar *,unsint *,unlong *,int ,int ,int );
	unchar	*ResultGrep(unchar *(*));
	int	_re_comp(unchar *,unchar *,unchar *);
	int	_re_exec(unchar *,unchar *,unchar *,unsint *,unsint *,int );
	unchar	*GrepErr(int );
	void	SetGrepMCSrch();	// <- 本当は((unchar *)*func)(unsint))
	void	CloseGrepMACRO(void);
	int	OpenGrepMACRO(unchar *,int);
	int	CheckParentDir(unchar *);
	int	CompHighLow(int *,int *);
#else
	int	is24();
	int	ishandaku();
	int	check_kanji1();
	int	check_moji();
	int	check_98();
	int	check_date();
	int	check_time();
	int	cmp_time();
	int	cmp_date();
	int	fup_cp();
	int	cfex_cp();
	int	FileDateTimeCmp();
	int	fcpwild();
	int	fcpwildDOS();
	int	jcpwild();
	int	jcpwildn();
	int	cpwild();
	int	check_wild();
	int	wild_only();
	int	kstrchar();
	int	kstrchar2();
	int	kmemchar();
	int	extcmpi();
	int	spstrcmp();
	int	jstrnumcmp();
	int	jstrnumcmp2();
	int	cmp_datetime2();
	int	_fn8cmp();
	int	fn8cmp();
	int	fn8cmpi();
	int	(*TwentyCMP())();
	int	BMsrch();
	int	_bm_comp();
	int	_bm_exec();
	int	InitGrep();
	int	Grep();
	unchar	*ResultGrep();
	int	_re_comp();
	int	_re_exec();
	unchar	*GrepErr();
	void	SetGrepMCSrch();	// <- 本当は((unchar *)*func)(unsint))
	void	CloseGrepMACRO();
	int	OpenGrepMACRO();
	int	CheckParentDir();
	int	CompHighLow();
#endif
#ifdef	__cplusplus
}
#endif

/* 名前置き換え */
#define	chkknj1(c)	check_kanji1(c)

#endif
